import numpy as np
import jcmwave

# Definition of the search domain
domain = [
    {'name': 'x1', 'type': 'continuous', 'domain': (-1.5,1.5)},
    {'name': 'x2', 'type': 'continuous', 'domain': (-1.5,1.5)}
]

# Creation of the optimization study object. This will automatically
# open a browser window with a dashboard showing the optimization progress.
study = jcmwave.optimizer.create_study(domain=domain, name="Example")
study.set_parameters(max_iter=90)

# Definition of the objective function that will be minimized
def objective(x1,x2):
  observation = study.new_observation()
  observation.add(10*2
              + (x1**2-10*np.cos(2*np.pi*x1))
              + (x2**2-10*np.cos(2*np.pi*x2))
          )
  return observation

# set the objective function and run the optimziation loop
study.set_objective(objective)
study.run()
