import os
import sys
if sys.version_info<(3, 0): input  = raw_input

# check if JCMsuite`s python interface is available 
# otherwise update the search path
try: import jcmwave 
except:
    # try to read environmental variable JCMROOT, 
    # otherwise ask the user
    jcm_root = os.getenv('JCMROOT');
    if jcm_root is None:
        jcm_root = input('\n*** Please enter your JCMsuite installation path: ')
        if not isinstance(jcm_root, str):
            raise TypeError('Invalid path value: expecting file name')
        if not os.path.isdir(jcm_root):
            raise TypeError('%s not a directory' % (jcm_root,))
    jcm_root = os.path.abspath(jcm_root);  
    sys.path.append(os.path.join(jcm_root, 'ThirdPartySupport', 'Python'))

# check, if interface is available
try: import jcmwave; jcmwave.info()
except: EnvironmentError('JCMsuite`s Python interface not available')

# ask user which example to run
print('*** Please select example to generate the grid file:\n')

examples = ['ProjectSetup', 
            'KeywordSubstitution', 
            'Loops']


for id in range(1, len(examples)+1):
    print('   [%d] %s' % (id, examples[id-1])) 
id = input('\n\n***   ? ');
try: id = int(id)
except: pass
if not isinstance(id, int) or id>len(examples):
    raise TypeError('invalid choice: integer number 1-%d expected' % (len(examples),))

# change to the folder of the selected project and run the project
os.chdir(examples[id-1])
exec(open('run_geo.py').read())
os.chdir('..')




